# std::__timepunct< _CharT > Class Template Reference

Inheritance diagram for std::__timepunct< _CharT >:

List of all members.

## Detailed Description

### template<typename _CharT>
class std::__timepunct< _CharT >

Definition at line 2870 of file locale_facets.h.

## Public Types

- typedef __timepunct_cache<
  _CharT > __cache_type
- typedef _CharT __char_type
- typedef basic_string< _CharT > __string_type

## Public Member Functions

- __timepunct (__c_locale __cloc, const char *__s, size_t __refs=0)
- __timepunct (__cache_type *__cache, size_t __refs=0)
- __timepunct (size_t __refs=0)
- void _M_am_pm (const _CharT **__ampm) const
- void _M_am_pm_format (const _CharT *__ampm) const
- void _M_date_formats (const _CharT **__date) const
- void _M_date_time_formats (const _CharT **__dt) const
- void _M_days (const _CharT **__days) const
- void _M_days_abbreviated (const _CharT **__days) const
- template<> void _M_initialize_timepunct (__c_locale __cloc)
- template<> void _M_initialize_timepunct (__c_locale __cloc)
- void _M_months (const _CharT **__months) const
- void _M_months_abbreviated (const _CharT **__months) const
- template<> void _M_put (wchar_t *, size_t, const wchar_t *, const tm *) const
- template<> void _M_put (char *, size_t, const char *, const tm *) const
- void _M_put (_CharT *__s, size_t __maxlen, const _CharT *__format, const tm *__tm) const
- void _M_time_formats (const _CharT **__time) const

## Static Public Attributes

- static locale::id id

## Protected Member Functions

- void _M_initialize_timepunct (__c_locale __cloc=NULL)
- virtual ~__timepunct ()

## Static Protected Member Functions

- static __c_locale _S_clone_c_locale (__c_locale &__cloc)
- static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
- static void _S_destroy_c_locale (__c_locale &__cloc)
- static __c_locale _S_get_c_locale ()
- static const char * _S_get_c_name ()

## Protected Attributes

- __c_locale _M_c_locale_timepunct
- __cache_type * _M_data
- const char * _M_name_timepunct

## Friends

- class locale::_Impl

## Constructor & Destructor Documentation

template<typename _CharT>

std::__timepunct< _CharT >::__timepunct | ( | __c_locale | __cloc,
|  | const char * | __s,
|  | size_t | __refs = `0` |
| ) |  |  | `[explicit]`

Internal constructor. Not for general use.

This is a constructor for use by the library itself to set up new locales.

Parameters:

  | cloc | The "C" locale.
  | s | The name of a locale.
  | refs | Passed to the base facet class.

Definition at line 57 of file time_members.h.

References std::__timepunct< _CharT >::_M_name_timepunct.

## Member Data Documentation

template<typename _CharT>

locale::id std::__timepunct< _CharT >::id`[static]`

Numpunct facet id.

Definition at line 2885 of file locale_facets.h.

The documentation for this class was generated from the following files:

- locale_facets.h
- time_members.h